<script lang="ts">
	import { ArrowRightCircleIcon, SlackIcon, SlashIcon } from 'svelte-feather-icons';

	let email = '';
	let message = '';

	$: isFormOk = !!email && !!message;
</script>

<section
	style="background-color: #222222;"
	class="text-white h-fit w-full px-8 py-16 flex flex-col gap-4"
	id="contact"
>
	<form action="mailto:boulangeriemadamepain@gmail.com" method="GET" class=" flex flex-col gap-4">
		<div class="flex md:flex-row flex-col gap-8 items-center">
			<div class="flex flex-col gap-4 md:w-1/2 w-full">
				<div class="flex md:flex-row flex-col gap-4">
					<div class="flex flex-col md:w-3/4 w-full">
						<label class="mb-1 text-label" style="color: rgb(255, 255, 255);" for="mail">
							Votre email
						</label>
						<input
							class="p-2"
							type="text"
							style="border-radius: 8px; background-color: rgba(255, 255, 255, 0.07); color: rgb(255, 255, 255);"
							id="mail"
							name="subject"
							bind:value={email}
						/>
					</div>
				</div>
				<div class="flex flex-col">
					<label class="mb-1 text-label" style="color: rgb(255, 255, 255);" for="message"
						>Message</label
					>
					<textarea
						class="p-2"
						rows="5"
						style="border-radius: 8px; background-color: rgba(255, 255, 255, 0.07); color: rgb(255, 255, 255);"
						id="message"
						name="body"
						bind:value={message}
					/>
				</div>
			</div>

			<div class="md:w-1/2 w-full">
				<div class="w-full md:mt-10">
					<h2
						class="text-body md:text-2xl font-medium mb-2"
						style="color: rgb(255, 255, 255); font-family: var(--head-fontFamily); font-weight: var(--head-fontWeight);"
					>
						Formulaire de contact
					</h2>
					<p class="md:leading-6" style="color: rgb(255, 255, 255);">
						Veuillez remplir ce formulaire pour nous contacter et nous poser vos questions relatives
						à Madame Pain.
					</p>
				</div>
			</div>
		</div>
		<!-- <a
			style="font-weight: var(--body-fontWeight); background-color: rgb(173, 91, 88); color: rgb(255, 255, 255); border-radius: 8px; border-color: rgb(173, 91, 88); border-width: 2px; border-style: solid; box-shadow: none;"
			href="mailto:email@example.com?subject=Mail de notre site Web "
			class="w-fit p-2">Envoyer</a
		> -->
		<button
			style="font-weight: var(--body-fontWeight); 
            background-color: {isFormOk ? 'rgb(207, 98, 95)' : 'rgb(173, 91, 88)'}; 
                color: {isFormOk ? 'rgb(255, 255, 255)' : 'rgb(227, 227, 227)'}; 
                border-radius: 8px; border-color: rgb(173, 91, 88); border-width: 2px; border-style: solid; box-shadow: none;"
			class="w-fit p-2 transition-colors duration-300 flex gap-2 {isFormOk
				? 'cursor-pointer'
				: 'cursor-not-allowed'}"
			type="submit"
			disabled={!isFormOk}
		>
			{#if isFormOk}
				<ArrowRightCircleIcon />
			{:else}
				<SlashIcon />
			{/if}
			Envoyer
		</button>
		<form />
	</form>
</section>
